# Base URL: https://api-sandbox.om.marmin.ai
# POST /api/sales-credit-notes/{supplier_profile_id}
curl -X POST "https://api-sandbox.om.marmin.ai/api/sales-credit-notes/MBP-1234567890abcdef" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"transaction_type": "1XXXXXXXXXXXXXXXXXXX",
"issue_date": "2025-05-24",
"issue_time": "10:30:00",
"note": "Thank you for your business",
"credit_note_type_code": "381",
"document_currency_code": "OMR",
"accounting_cost": "COST-001",
"buyer_reference": "BR-REF-001",
"invoice_period": {
"start_date": "2025-05-01",
"end_date": "2025-05-31",
"description": "May 2025"
},
"order_reference": { "id": "ORD-001", "sales_order_id": "SO-001" },
"billing_reference": [{ "id": "INV-PRE-001", "issue_date": "2025-04-15" }],
"buyer_customer_party": { "id": "CUST-001" },
"seller_supplier_party": { "id": "SUP-001" },
"delivery": {
"actual_delivery_date": "2025-05-25",
"delivery_location": {
"id": "LOC-001",
"address": {
"street_name": "456 Delivery St",
"city_name": "Muscat",
"postal_zone": "54321",
"country_subentity": "MO",
"country": "Oman",
"country_code": "OM"
}
}
},
"payment_terms": {
"payment_means_id": "abc",
"note": "Payment",
"amount": 100.0,
"installment_due_date": "2025-04-08"
},
"charges": [{
"reason_code": "FC",
"reason": "Freight charge",
"amount": 50.0,
"tax_category": { "id": "S", "percent": 5.0, "tax_scheme": "VAT" }
}],
"allowances": [{
"reason_code": "95",
"reason": "Discount",
"amount": 10.0,
"tax_category": { "id": "S", "percent": 5.0, "tax_scheme": "VAT" }
}],
"discrepancy_response": "DL8.61.1.A",
"accounting_customer_party": {
"endpoint_id": "marmin1-1729456038",
"endpoint_scheme_id": "0235",
"party_name": "Marmin UOM - Shashank Sandbox Seller",
"profile_id": "MBP-LEUYV0IANC",
"postal_address": {
"street_name": "Address",
"additional_street_name": "Address",
"city_name": "City",
"postal_zone": "12312",
"country_subentity": "MO",
"country": "Oman",
"country_code": "OM"
},
"party_tax_scheme": { "company_id": "100200201200503", "tax_scheme": "VAT" },
"tin": "1729456038",
"scheme_agency_id": "EID",
"company_id": "1234567111",
"name": "Marmin UOM - Shashank Sandbox Seller",
"email": "sr@marmin.ai",
"telephone": "919632802392"
},
"due_date": "2025-06-24",
"payment_means": [
{
"id": "875849",
"payment_means_code": "30",
"payment_id": ["PAY-REF-001"],
"card_account": {
"primary_account_number_id": "58945",
"network_id": "net-id",
"holder_name": "card holder name"
},
"payee_financial_account": {
"id": "IBAN123",
"name": "Account Name",
"financial_institution_branch_id": null,
"address": null
},
"payment_mandate": {
"id": "3487348",
"payer_financial_account_id": "Pay-man-acc-id"
}
}
],
"project_reference": { "id": "PRJ-001" },
"prepaid_amount": 0.0,
"payable_rounding_amount": 0.0,
"document_lines": [{
"quantity": 2.0,
"unit_code": "EA",
"order_line_reference": { "line_id": "LINE-001" },
"description": "Product A description",
"name": "Product A",
"additional_item_identification": [{ "nature_code": "493001" }],
"item_specification_document_reference": { "commodity_code": "70000000", "item_type": "S" },
"commodity_classification": { "item_classification_code": "500200000000", "item_classification_list_id": "HS" },
"classified_tax_category": { "id": "S", "percent": 5.0, "tax_scheme": "VAT" },
"price": { "base_amount": 100.0, "base_quantity": 1.0 }
}],
"document_source": "API"
}'